[Financial Accounting] - GL Document
11/22/2022 11:12 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 11/22/2022
Priority: Urgent Due date:
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description
Mba Yomma,
Mohon dibantu untuk tombol Add di GL Document tidak berfungsi. _
Terima kasih.
History

#1 - 11/24/2022 02:43 PM - Tri Rizqiaty

- File clipboard-202211241441-x968d.png added

- File MinovalS.MinovaES.Extensions.Data.Element.FILO.dll added
- File GL Doc.xlIsx added

- Status changed from Assigned to Developing
Fixing :

1. Update folder API2\bin : MinovalS.MinovaES.Extensions.Data.Element.FILO (file telampir)
2. Update folder Ul\app\controller\filo : document.js (sesuai gambar dibawah)
if (grd.hasCwnProperty('CRUDEflag')) {
records = grd.CRUDflag.getAllRecords(GridData[i].store)
1

//saswanto 4agustus2022? start

if(formheader.findField('D
if (grd.id:
Ilgrd. 3 ‘grid
| || lgrd.id="gridCE RIDPTREFI
war recC = grd.store.data.items;
Ext.each(recC, function (rec) {
rec.data.FlagCrud = "1";
rec.data.Doclo=""; I
records.push(rec) ;

| lgzd, id—"
IDCTREUE

e
H
//=saswanto 4agustus2022 end
else {
wvar recC = grd.store.getNewRecords();
Ext.each(recC, function (rec) {
rec.data.FlagCrud = "17;
records.push(rec);
1
var recU = grd.store.getUpdatedRecords() :
Ext.each(recU, function (rec) {
rec.data.FlagCrud = "U";
records.push(rec) ;
hn:
var recD = grd.store.getRemovedRecords() ;
Ext.each(recD, function (rec) {
rec.data.FlagCrud = "D";
records.push(rec) ;s
e
}

3. Update table-table sql sesuai file excel terlampir

Tolong ditest sekalian sampai save ya, thanks

#2 - 11/24/2022 02:43 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Fiona Avangeline Jonathan

#3 - 11/24/2022 04:03 PM - Fiona Avangeline Jonathan
- File clipboard-202211241603-2apjr.png added

- Status changed from QA Test to Closed

Done, terima kasih Mba Yomma.

Tombol add sudah berfungsi dan save sudah jalan.
Document Number: e Description -
Nao Voucher:
Document Date: 412022 Auta Flag:
Pasting Date 251112022 Compsny 1D NOVAS
Document Status: Draft Cost Cantar
Fiscal Period

11-2022

GL Account Debet Amount Credit Amount ExchangeRate | Currency Descripti.. | MemStat. = SubLedger Type Sub Ledger ID
1| 1000- Cash 100.000.00 0.00 0.00 DR Open Asset Number PT. MONDELEZ INDONESIA
2| 205-01-01 - Biaya Listrik 0.00 100,000.00 0.00 DR Open Kreditor PT. INDOFOOD CBP SUKSES MAKMUR T
